Sumário

# Iniciar o LibreOffice com parâmetros

Ao iniciar o LibreOffice na linha de comando, você pode atribuir vários parâmetros que podem ser usados para melhorar o desempenho. O uso de parâmetros de linha de comando só é recomendado para usuários experientes.

Em operações corriqueiras, não é necessário usar parâmetros de linha de comando. Alguns dos parâmetros requerem um conhecimento técnico mais avançado da tecnologia do LibreOffice.

## Iniciar o LibreOffice na linha de comando

1. Selecione Executar no menu Iniciar do Windows.

2. Digite o seguinte texto no campo de texto Abrir e clique em OK.

3. {install}\program\soffice.com {parâmetros}

   Substitua {install} pelo caminho para a instalação do software LibreOffice (por exemplo, C:\Program Files\LibreOffice). Use soffice.exe em vez de soffice.com, quando você não precisar do console (por exemplo, você não usar a interface de linha de comando para operações headless).

1. Abra um shell nas plataformas Linux, * BSD ou macOS.

2. Digite a seguinte linha de texto e pressione Enter:

   {install}/program/soffice {parametros}

   Substitua {install} com o caminho de sua instalação do software LibreOffice (por exemplo, /opt/LibreOffice no UNIX).

LibreOffice necessita acesso de escrita para o diretório de seu perfil de usuário.

## Parâmetros de linha de comando válidos

### Iniciar sem parâmetros especiais

Iniciar sem parâmetros abre o centro de partida.

{arquivo} | Abre os arquivos nos módulos adequados.
{arquivo} macro://./[Biblioteca.Módulo.NomeDaMacro] | Abre o arquivo e aplica a macro especificada contida no arquivo.

### Obter ajuda e informação

Parâmetro | Significado
--- | ---
--help / -h / -? | Lista na console os parâmetros da linha de comando disponíveis.
--helpwriter | Abre a ajuda local ou online do LibreOffice Writer.
--helpcalc | Abre a ajuda local ou online do LibreOffice Calc.
--helpdraw | Abre a ajuda local ou online do LibreOffice Draw.
--helpimpress | Abre a ajuda local ou online do LibreOffice Impress.
--helpbase | Abre a ajuda local ou online do LibreOffice Base.
--helpbasic | Abre a ajuda local ou online do LibreOffice para a linguagem Basic.
--helpmath | Abre a ajuda local ou online do LibreOffice Math.
--version | Mostra a versão do LibreOffice e encerra.
--nstemporarydirectory | (Somente macOS) Retorna o caminho do diretório temporário para o usuário atual e encerra o programa. Sobrepõe-se a qualquer outro argumento.

### Argumentos gerais

Parâmetro | Significado
--- | ---
--quickstart[=no] | Ativa ou desativa o serviço de Início rápido. Só pode ter um parâmetro no que desativa o serviço do Inicio rápido. Sem parâmetros este serviço é ativado.
--nolockcheck | Desativa a verificação das instâncias remotas utilizando a instalação.

--infilter=InputFilterName
[:InputFilterParam[,param]]

Força um filtro de entrada quando possível. Por exemplo:

--infilter="Calc Office Open XML"

--infilter="Text (encoded):UTF8,LF,Liberation Mono,en-US".

Veja a lista de filtros de documentos para a conversão de arquivos.

A lista de opções de filtros para arquivos Lotus, dBase e Diff.

A lista de opções de filtros para arquivos CSV.

A lista de opções de filtros para arquivos PDF.

--pidfile={file} | Armazena o id de processo (pid) de soffice.bin em {arquivo}.
--display {display} | Define a variável de ambiente DISPLAY em sistemas similares ao UNIX, para o valor {display}. Este parâmetro só funciona pelo script de inicialização do software LibreOffice nas plataformas similares ao UNIX.

### Controle da interface do usuário ou programática

Parâmetro | Significado
--- | ---
--nologo | Desativa a tela de apresentação ao iniciar o programa.
--minimized | Inicia com a tela minimizada. A tela de apresentação não é exibida.
--nodefault | Inicia sem qualquer exibição, exceto a tela de abertura.

--invisible

Inicia no modo invisível.

Nem o logotipo de inicialização e nem a janela inicial do programa serão visíveis.É possível controlar o LibreOffice e abrir documentos e caixas de diálogo através da API.

Ao usar o parâmetro, o LibreOffice só pode ser encerrado pelo gerenciador de programas (Windows) ou o comando kill(sistemas similares a UNIX).

Esse parâmetro não pode ser usado junto com o parâmetro --quickstart.

Para obter mais informações, consulte o Guia do Desenvolvedor do LibreOffice.

--headless | Inicia no "modo sem monitor", que permite utilizar o aplicativo sem a interface do usuário. Esse modo especial pode ser utilizado quando o aplicativo é controlado por clientes externos através da API.
--norestore | Desativa a opção de reinicialização e recuperação de arquivos após uma falha do sistema.
--safe-mode | Inicia no modo seguro, ou seja, inicia temporariamente com um perfil de usuário novo e auxilia o diagnóstico e conserto de uma configuração defeituosa.
--accept={UNO} | Notifica o LibreOffice de que, após a criação do "UNO Acceptor Threads", será usado um "UNO Accept String". O UNO-URL é um texto do tipo uno:connection-type,params;protocol-name,params;ObjectName. Para obter mais informações, consulte o Guia do Desenvolvedor do LibreOffice.
--unaccept={UNO-URL} | Fecha um acceptor criado pelo comando --accept={UNO-URL}. Utilize --unaccept=all para fechar todos os acceptors.
--language={lang} | Utiliza um idioma especificado, se o idioma não estiver selecionado para a interface do usuário. O idioma é uma tag da lista do IETF.

### Argumentos para desenvolvimento

Parâmetro | Significado
--- | ---
--terminate_after_init | Encerra após completar a inicialização (sem documentos carregados).

Usuários do Linux ou Unix podem chamar o LibreOffice com estes parâmetros adicionais para fins de depuração.

Parâmetro | Significado
--- | ---
--record | Um depurador melhorado
--backtrace | Imprime o backtrace da pilha inteira.
--strace | strace é um utilitário para diagnóstico, depuração e instruções no espaço de usuário de Linux.
--valgrind | Detecta automaticamente muitos problemas de gestão de memória e "threading", e perfila detalhadamente o programa.

As opções de depuração --record, --backtrace, --strace e --valgrind não podem ser utilizadas juntas. Utilize uma de cada vez.

### Argumentos para a criação de novos documentos

Os argumentos criam um documento vazio do tipo especificado. Somente um tipo pode ser usado em uma linha de comando. Se arquivos forem especificados após o argumento, serão abertos no módulo apropriado.

Parâmetro | Significado
--- | ---
--writer | Inicia um documento vazio do Writer.
--calc | Inicia um documento vazio do Calc.
--draw | Inicia um documento vazio do Draw.
--impress | Inicia um documento vazio do Impress.
--math | Inicia um documento vazio do Math.
--global | Inicia um documento mestre vazio do Writer.
--web | Inicia um documento HTML vazio.

### Argumentos de abertura de arquivos

Os argumentos definem como os arquivos que seguem são tratados. Um tratamento novo começa depois do argumento e termina no argumento seguinte. O tratamento padrão é abrir os documentos para edição, e criar novos documentos a partir de modelos.

Parâmetro | Significado
--- | ---
-n | Trata os arquivos seguintes como modelos para a criação de novos documentos.
-o | Abre os arquivos para edição, independente de serem modelos ou não.

--pt {Printername}

Imprime os arquivos que seguem na impressora {Printername} e finaliza. A tela de apresentação não é exibida.

Se o nome do arquivo contém espaços, ele deverá ser colocado entre aspas.

Se utilizado várias vezes, somente a última {Printername} é efetiva para todos os documentos em todas as execuções do comando --pt

O argumento --printer-name da chave --print-to-file interfere com {Printername}.

-p | Imprime os arquivos para a impressora padrão, e sem seguida fecha os arquivos. A tela de inicialização não aparece. Se o nome do arquivo contém espaços, ele deverá ser colocado entre aspas.
--view | Abre os arquivos no modo de visualização (só-leitura).
--show[=N] | Abre e inicia imediatamente a apresentação de slides dos seguintes documentos de apresentação. Os arquivos são fechados após a exibição. N no exemplo, refere-se ao número de slide e quando fornecido, inicia neste slide.

--convert-to OutputFileExtension
[:OutputFilterName
[:OutputFilterParams[,param]]]
[--outdir output_dir]

Se --convert-to for usado mais de uma vez, o último valor de OutputFileExtension[:OutputFilterName[:OutputFilterParams]] é o que vale. Se --outdir for usado mais de uma vez, somente o último valor é o que vale. Na ausência de --outdir, o diretorio atual é o que vale para o resultado. Por exemplo:

--convert-to pdf *.doc

--convert-to pdf:writer_pdf_Export --outdir /home/user *.doc

--convert-to "html:XHTML Writer File:UTF8" *.doc

--convert-to "txt:Text (encoded):UTF8" *.doc

Veja a lista de filtros de documentos para a conversão de arquivos.

A lista de opções de filtros para arquivos Lotus, dBase e Diff.

A lista de opções de filtros para arquivos CSV.

A lista de opções de filtros para arquivos PDF.

--print-to-file [--printer-name printer_name] [--outdir output_dir]

Imprime um lote de arquivos num arquivo Se --outdir não foi especificado, o diretório atual será usado como output_dir.

Se --printer-name ou --outdir forem usado mais de uma vez, somente o último valor será efetivo. Além disso, {Printername} da chave --pt interfere com --printer-name. Por exemplo:

--print-to-file *.doc

--print-to-file --printer-name nasty_lowres_printer --outdir /home/user *.doc

--cat | Aplica o filtro "txt:Text" aos documentos de textos que seguem e descarrega o conteúdo textual para a console (implica em --headless). Não pode ser usado junto com --convert-to.
-env:VAR[=VALUE] | Define uma variável de bootstrap. Por exemplo, um caminho de perfil de usuário que não é padrão. soffice.com -env:UserInstallation=file:///c:/my-test-profile open LibreOffice.app -env:UserInstallation=file:///tmp/test soffice -env:UserInstallation=file:///tmp/test

### Chaves ignoradas

Parâmetro | Significado
--- | ---
-psn | Ignorado (somente macOS)
-Embedding | Ignorado (COM+ relacionados; somente Windows)
--nofirststartwizard | Não faz nada, aceito somente para compatibilidade retroativa.
--protector {arg1} {arg2} | Usado somente em unidades de teste e deve ter dois argumentos.